# libhashkit - C/C++ hashing library

## SYNOPSIS

#include <libhashkit-1.0/hashkit.h>

  Compile and link with -lhashkit.

## DESCRIPTION

`libhashkit` is a small and thread-safe client library that provides a collection of useful hashing algorithms.

`libhashkit` is distributed with `libmemcached`.

Hashkit API

- Creating a hashkit structure
- Set Hash Function
- Available Hashes
- Generate hash value

## SEE ALSO

- C/C++ Client Library for memcached